Doesn't work for Firefox 15.0.1 Rated 1 out of 5 stars

Try developing something that actually works for all versions of Firefox, its not that hard...

This review is for a previous version of the add-on (3.1.4.1.1-signed). 

It's working with the new version.